Fetch the history list for the specified To-Do ID

POST /api/sync/v1/todos/history

Operation id: taskHistoryList

Description

Retrieves a paginated list of history records for the given to-do. The response includes records such as TASK_CREATED, TASK_LAUNCHED, and TASK_EDIT_CONTENT.

Results are paginated based on the page and pageSize parameters.

The following parameters are mandatory:
1)taskId
2)isWatcher

Tags: To-Do APIs

Security

  • Bearer (http / bearer)
    • enter the client service token value.

Responses

200 — To-Dos history fetched

Content type: application/json

400 — Bad Request

401 — Unauthorized Access

403 — Forbidden

422 — Unprocessable Entity

500 — Internal Server Error

Request body

Required: Yes

application/json

Schema

PropertyTypeRequiredDescription
taskIdinteger (int32)Yestask Id
pageinteger (int32)Nocurrent page number
pageSizeinteger (int32)Nonumber of records in one page
isWatcherbooleanYeswhether the current user is a watcher for the given task id
{
  "type": "object",
  "required": [
    "taskId",
    "isWatcher"
  ],
  "properties": {
    "taskId": {
      "type": "integer",
      "format": "int32",
      "description": "task Id"
    },
    "page": {
      "type": "integer",
      "format": "int32",
      "description": "current page number"
    },
    "pageSize": {
      "type": "integer",
      "format": "int32",
      "description": "number of records in one page"
    },
    "isWatcher": {
      "type": "boolean",
      "description": "whether the current user is a watcher for the given task id"
    }
  }
}

Response models

200 — To-Dos history fetched

Content type: application/json

Schema

PropertyTypeRequiredDescription
messagestringNo
statusstringNo
statusCodeinteger (int32)No
debugErrorMessagestringNo
messageCodestringNo
messageParamsarrayNo
paginationMapobjectNo
historyarrayNo
{
  "type": "object",
  "properties": {
    "message": {
      "type": "string"
    },
    "status": {
      "type": "string",
      "enum": [
        "SUCCESS",
        "FAIL",
        "BAD_REQUEST",
        "NO_CONTENT",
        "UNAUTHORIZED",
        "FORBIDDEN",
        "NOT_FOUND",
        "INTERNAL_SERVER_ERROR",
        "UNSUPPORTED_MEDIA_TYPE"
      ]
    },
    "statusCode": {
      "type": "integer",
      "format": "int32"
    },
    "debugErrorMessage": {
      "type": "string"
    },
    "messageCode": {
      "type": "string"
    },
    "messageParams": {
      "type": "array",
      "items": {
        "type": "string"
      }
    },
    "paginationMap": {
      "type": "object",
      "properties": {
        "totalElements": {
          "type": "integer",
          "format": "int32"
        },
        "totalPages": {
          "type": "integer",
          "format": "int32"
        },
        "last": {
          "type": "boolean"
        },
        "first": {
          "type": "boolean"
        },
        "currentPage": {
          "type": "integer",
          "format": "int32"
        },
        "pageSize": {
          "type": "integer",
          "format": "int32"
        }
      }
    },
    "history": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "historyTypeId": {
            "type": "integer",
            "format": "int32"
          },
          "eventTime": {
            "type": "string",
            "format": "date-time"
          },
          "userId": {
            "type": "integer",
            "format": "int32"
          },
          "firstName": {
            "type": "string"
          },
          "lastName": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "alias": {
            "type": "string"
          },
          "employeeId": {
            "type": "string"
          },
          "profilePhoto": {
            "type": "string"
          },
          "presence": {
            "type": "object",
            "properties": {
              "state": {
                "type": "integer",
                "format": "int32",
                "description": "state for user"
              },
              "status": {
                "type": "string",
                "description": "status for user"
              },
              "updatedAt": {
                "type": "string",
                "format": "date-time",
                "description": "date and time when user information is updated"
              }
            }
          },
          "roleId": {
            "type": "integer",
            "format": "int32"
          },
          "roleName": {
            "type": "string"
          },
          "siteName": {
            "type": "string"
          },
          "roles": {
            "type": "array",
            "items": {
              "type": "object"
            }
          },
          "fromAssign": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "format": "int32",
                "description": "id"
              },
              "siteId": {
                "type": "integer",
                "format": "int32",
                "description": "site Id"
              },
              "depId": {
                "type": "integer",
                "format": "int32",
                "description": "department Id"
              },
              "roleId": {
                "type": "integer",
                "format": "int32",
                "description": "role Id"
              },
              "userId": {
                "type": "integer",
                "format": "int32",
                "description": "user Id"
              },
              "groupId": {
                "type": "integer",
                "format": "int32",
                "description": "group Id"
              },
              "siteName": {
                "type": "string",
                "description": "site name"
              },
              "depName": {
                "type": "string",
                "description": "department Id"
              },
              "roleName": {
                "type": "string",
                "description": "role Name"
              },
              "firstName": {
                "type": "string",
                "description": "user first name"
              },
              "lastName": {
                "type": "string",
                "description": "user last name"
              },
              "name": {
                "type": "string",
                "description": "user first and last name"
              },
              "alias": {
                "type": "string",
                "description": "user alias name"
              },
              "groupName": {
                "type": "string",
                "description": "group name"
              },
              "employeeId": {
                "type": "string",
                "description": "user employee Id"
              },
              "userPresence": {
                "type": "integer",
                "format": "int32",
                "description": "user presence Id"
              },
              "profilePhoto": {
                "type": "string",
                "description": "user profile photo url"
              },
              "presence": {
                "type": "object",
                "description": "user Presence"
              },
              "roles": {
                "type": "array",
                "description": "user Roles",
                "items": {
                  "type": "object"
                }
              }
            }
          },
          "toAssign": {
            "type": "object",
            "properties": {
              "id": {
                "type": "integer",
                "format": "int32",
                "description": "id"
              },
              "siteId": {
                "type": "integer",
                "format": "int32",
                "description": "site Id"
              },
              "depId": {
                "type": "integer",
                "format": "int32",
                "description": "department Id"
              },
              "roleId": {
                "type": "integer",
                "format": "int32",
                "description": "role Id"
              },
              "userId": {
                "type": "integer",
                "format": "int32",
                "description": "user Id"
              },
              "groupId": {
                "type": "integer",
                "format": "int32",
                "description": "group Id"
              },
              "siteName": {
                "type": "string",
                "description": "site name"
              },
              "depName": {
                "type": "string",
                "description": "department Id"
              },
              "roleName": {
                "type": "string",
                "description": "role Name"
              },
              "firstName": {
                "type": "string",
                "description": "user first name"
              },
              "lastName": {
                "type": "string",
                "description": "user last name"
              },
              "name": {
                "type": "string",
                "description": "user first and last name"
              },
              "alias": {
                "type": "string",
                "description": "user alias name"
              },
              "groupName": {
                "type": "string",
                "description": "group name"
              },
              "employeeId": {
                "type": "string",
                "description": "user employee Id"
              },
              "userPresence": {
                "type": "integer",
                "format": "int32",
                "description": "user presence Id"
              },
              "profilePhoto": {
                "type": "string",
                "description": "user profile photo url"
              },
              "presence": {
                "type": "object",
                "description": "user Presence"
              },
              "roles": {
                "type": "array",
                "description": "user Roles",
                "items": {
                  "type": "object"
                }
              }
            }
          },
          "reason": {
            "type": "string"
          },
          "id": {
            "type": "integer",
            "format": "int32"
          },
          "isResetAfterEdit": {
            "type": "boolean"
          },
          "isCompleteRecallOrReset": {
            "type": "boolean"
          }
        }
      }
    }
  }
}